package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/app/admin/fronted"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerFrontedCheckRole = append(routerFrontedCheckRole, registerFrontedMemberRenwalConfigRouter)
	routerCheckRole = append(routerCheckRole, registerMemberRenwalConfigRouter)
}

// registerMemberRenwalConfigRouter
func registerMemberRenwalConfigRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.MemberRenwalConfig{}
	r := v1.Group("/member-renwal-config").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
	}
}

func registerFrontedMemberRenwalConfigRouter(v1 *gin.RouterGroup) {
	api := fronted.MemberRenwalConfig{}
	r := v1.Group("/member-renwal-config")
	{
		r.GET("list", api.GetActiveList)
	}
}
